package models

type PortProtocol string

const (
	TCP PortProtocol = "TCP"
	UDP PortProtocol = "UDP"
)

type Port struct {
	Protocol      PortProtocol
	PublicPort    uint16
	ContainerPort uint16
}

type Image struct {
	Id       string
	Registry string
	Tag      string
}

type FileBrowser struct {
	Id       string
	Url      string
	ServerId string
}
